Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2011-5-27 22:23

# Built-In Namespace _global_

Field Summary
Field Attributes | Field Name and Description
--- | ---
| html
<constant> | NAMEPATTERN
| rome
<constant> | SQLDATEFORMAT

## Method Summary

Method Attributes | Method Name and Description
--- | ---
| age_filter(value, param)
| breadcrumbs_macro(param, delimiter)
| cgettext(key, context) This method is useful for disambiguation of messages (single words most of the time) that have different meanings depending on the context.
| clip_filter(input, param, limit, clipping, delimiter)
| countUsers()
| default_filter(value, param, defaultValue)
| defineConstants(ctor)
| disableMacro(ctor, name) Disable a macro with the idle function
| Feature(id, url, feature)
| file_macro(param, id, mode)
| fixRssText(rss)
| format_filter(string, param, pattern, type)
| formatDate(date, format)
| formatNumber(number, pattern)
| getLocale(language)
| getLocales(language) Creates an array of all available Java locales sorted by their names.
| gettext_macro(param, text)
| getTimeZones(language) This method returns an array of structs providing two properties each: `value` – a unique time zone ID `display` – a (more) user-friendly string Although Java is great in providing all time zones one can imagine, this vast amount of choices fails to support easy time zone selection.
| idle()
| if_macro(param, firstValue, _is_, secondValue, _then_, firstResult, _else_, secondResult) Renders a string depending on the comparison of two values.
| image_macro(param, id, mode)
| injectXslDeclaration(xml) Injects the XSLT stylesheet declaration into an XML string until Mozilla developers will have mercy.
| link_filter(text, param, url)
| link_macro()
| list_macro(param, id, limit)
| listItemFlag_macro(param, str)
| markgettext_macro(param, singular, plural)
| ngettext_macro(param, singular, plural)
| nightly()
| now_macro(param, format)
| onStart()
| onStop()
| pluralize(singular)
| poll_macro(param, id, mode)
| quote(str)
| randomize_macro(param, id)
| renderLink(param, url, text, handler)
| renderList(collection, funcOrSkin, itemsPerPage, pageIdx)
| renderPager(collectionOrSize, url, itemsPerPage, pageIdx)
| scheduler()
| sendMail(recipient, subject, body, options) General mail sending function.
| singularize(plural)
| skin_macro(param, name)
| story_macro(param, id, mode)
| user_macro() Helper macro for checking if a user session is authenticated (logged in).
| validateEmail(str)
| validateUrl(str)
| value_macro(param, name, value)
| version_macro(param, type)
| wait(millis)

## Field Detail

html
Defined in: Global.js.
<constant> NAMEPATTERN
Defined in: Global.js.
rome
Defined in: Global.js.
<constant> SQLDATEFORMAT
Defined in: Global.js.

## Method Detail

- {String} age_filter(value, param)
  Defined in: Global.js.
  Parameters:
  {Date} value
  {Object} param
  Returns:
    {String} The age string of a date
- Defined in: Global.js.
  Parameters:
  {Object} param
  {String} delimiter
- cgettext(key, context)
  This method is useful for disambiguation of messages (single words most of the time) that have different meanings depending on the context. Example: comment (the verb "to comment" vs the noun "a comment")
  Defined in: i18n.js.
  Parameters:
  {Object} key
    The message ID
  {Object} context
    The context of the message
  Returns:
    String
- {String} clip_filter(input, param, limit, clipping, delimiter)
  Defined in: Global.js.
  Parameters:
  {String} input
  {Object} param
  {Number} limit
  {String} clipping
  {String} delimiter
  Returns:
    {String} The clipped input
- countUsers()
  Defined in: Global.js.
- {Object} default_filter(value, param, defaultValue)
  Defined in: Global.js.
  Parameters:
  {Object} value
  {Object} param
  {Object} defaultValue
  Returns:
    {Object} The value argument if truthy, the defaultValue argument otherwise
- {Function} defineConstants(ctor)
  Defined in: Global.js.
  Parameters:
  {HopObject} ctor
  Returns:
    {Function}
- {Function} disableMacro(ctor, name)
  Disable a macro with the idle function
  Defined in: Global.js.
  Parameters:
  {HopObject} ctor
  {String} name
  Returns:
    {Function}
- Feature(id, url, feature)
  Defined in: Feature.js.
  Parameters:
  {String} id
  {String} url
  {Object} feature
- file_macro(param, id, mode)
  Defined in: Global.js.
  Parameters:
  {Object} param
  {String} id
  {String} mode
- {String} fixRssText(rss)
  Defined in: Global.js.
  Parameters:
  {String} rss
  Returns:
    {String} The fixed RSS string
- {String} format_filter(string, param, pattern, type)
  Defined in: Global.js.
  Parameters:
  {Object} string
  {Object} param
  {String} pattern
  {String} type
  Returns:
    {String} The formatted string
- {String} formatDate(date, format)
  Defined in: Global.js.
  Parameters:
  {Date} date
  {String} format
  Returns:
    {String} The formatted date string
- {String} formatNumber(number, pattern)
  Defined in: Global.js.
  Parameters:
  {Number} number
  {String} pattern
  Returns:
    {String} The formatted number string
- {java.util.Locale} getLocale(language)
  Defined in: Global.js.
  Parameters:
  {String} language
  Returns:
    {java.util.Locale} The corresponding locale object
- {Object[]} getLocales(language)
  Creates an array of all available Java locales sorted by their names.
  Defined in: Global.js.
  Parameters:
  {String} language
    The optional language of the locales
  Returns:
    {Object[]} A sorted array containing the corresponding locales
- gettext_macro(param, text)
  Defined in: i18n.js.
  Parameters:
  {Object} param
  {String} text
  Returns:
    String
  See:
    jala.i18n.gettext
- {Object[]} getTimeZones(language)
  This method returns an array of structs providing two properties each: `value` – a unique time zone ID `display` – a (more) user-friendly string Although Java is great in providing all time zones one can imagine, this vast amount of choices fails to support easy time zone selection. Furthermore, the L10n features of the java.util.TimeZone class are insufficient as they do only translate the generic string returned by the getDisplayName() method (e.g. Central European Time), not the more usable time zone IDs (e.g. Europe/Vienna). Thus, time zone selection in Antville is rather limited.
  Defined in: Global.js.
  Parameters:
  {String} language
  Returns:
    {Object[]} A sorted array containing the corresponding timezones
- idle()
  Defined in: Global.js.
- {String} if_macro(param, firstValue, _is_, secondValue, _then_, firstResult, _else_, secondResult)
  Renders a string depending on the comparison of two values. If the first value equals the second value, the first result will be returned; the second result otherwise.

  Example: `<% if <% macro %> is "value" then "yes!" else "no :(" %>`

  Note that any value or result can be a macro, too. Thus, this can be used as a simple implementation of an if-then-else statement by using Helma macros only.
  Defined in: Global.js.
  Parameters:
  {Object} param
    The default Helma macro parameter object
  {String} firstValue
    The first value
  {String} _is_
    Syntactic sugar; should be "is" for legibility
  {String} secondValue
    The second value
  {String} _then_
    Syntactic sugar; should be "then" for legibility
  {String} firstResult
    The first result, ie. the value that will be returned if the first value equals the second one
  {String} _else_
    Syntactic sugar; should be "else" for legibility
  {String} secondResult
    The second result, ie. the value that will be returned if the first value does not equal the second one
  Returns:
    {String} The resulting value
- image_macro(param, id, mode)
  Defined in: Global.js.
  Parameters:
  {Object} param
  {String} id
  {String} mode
- {String} injectXslDeclaration(xml)
  Injects the XSLT stylesheet declaration into an XML string until Mozilla developers will have mercy.
  Defined in: Global.js.
  Parameters:
  {String} xml
    An XML string
  Returns:
    {String} An XML string containing the XSLT stylesheet declaration
- {String} link_filter(text, param, url)
  Defined in: Global.js.
  Parameters:
  {String} text
  {String} param
  {Object} url
  Returns:
    {String} The rendered link element
  See:
    renderLink
- {String} link_macro()
  Defined in: Global.js.
  Returns:
    {String} The rendered link element
  See:
    renderLink
- list_macro(param, id, limit)
  Defined in: Global.js.
  Parameters:
  {Object} param
  {String} id
  {String} limit
- listItemFlag_macro(param, str)
  Defined in: Global.js.
  Parameters:
  param
  str
- markgettext_macro(param, singular, plural)
  Defined in: i18n.js.
  Parameters:
  {Object} param
  {Object} singular
  {Object} plural
  See:
    jala.i18n#markgettext
- ngettext_macro(param, singular, plural)
  Defined in: i18n.js.
  Parameters:
  {Object} param
  {String} singular
  {String} plural
  Returns:
    String
  See:
    jala.i18n#ngettext
- nightly()
  Defined in: Global.js.
- {String} now_macro(param, format)
  Defined in: Global.js.
  Parameters:
  {Object} param
  {String} format
  Returns:
    {String} The formatted current date string
  See:
    formatDate
- onStart()
  Defined in: Global.js.
- onStop()
  Defined in: Global.js.
- {String} pluralize(singular)
  Defined in: Global.js.
  Parameters:
  {String} singular
  Returns:
    {String} The english plural form of the input
- poll_macro(param, id, mode)
  Defined in: Global.js.
  Parameters:
  {Object} param
  {String} id
  {String} mode
- {String} quote(str)
  Defined in: Global.js.
  Parameters:
  {String} str
  Returns:
    {String} The processed string
- randomize_macro(param, id)
  Defined in: Global.js.
  Parameters:
  {Object} param
  {String} id
- renderLink(param, url, text, handler)
  Defined in: Global.js.
  Parameters:
  {Object} param
  {String} url
  {String} text
  {HopObject} handler
- {String} renderList(collection, funcOrSkin, itemsPerPage, pageIdx)
  Defined in: Global.js.
  Parameters:
  {HopObject|Array} collection
  {Function|Skin} funcOrSkin
  {Number} itemsPerPage
  {Number} pageIdx
  Returns:
    {String} The rendered list
- {String} renderPager(collectionOrSize, url, itemsPerPage, pageIdx)
  Defined in: Global.js.
  Parameters:
  {HopObject|Array|Number} collectionOrSize
  {String} url
  {Number} itemsPerPage
  {Number} pageIdx
  Returns:
    {String} The rendered index
- {Number} scheduler()
  Defined in: Global.js.
  Returns:
    {Number} The period in milliseconds the scheduler will be called again.
- {Number} sendMail(recipient, subject, body, options)
  General mail sending function. Mails will be queued in app.data.mails.
  Defined in: Global.js.
  Parameters:
  {Object} recipient
    The recipient's email addresses
  {String} subject
    The e-mail's subject
  {String} body
    The body text of the e-mail
  options
  Returns:
    {Number} The status code of the underlying helma.Mail instance
- {String} singularize(plural)
  Defined in: Global.js.
  Parameters:
  {String} plural
  Returns:
    {String} The english singular form of the input
- {String} skin_macro(param, name)
  Defined in: Global.js.
  Parameters:
  {Object} param
  {String} name
  Returns:
    {String} The rendered skin
  See:
    HopObject#skin_macro
- story_macro(param, id, mode)
  Defined in: Global.js.
  Parameters:
  {Object} param
  {String} id
  {String} mode
- user_macro()
  Helper macro for checking if a user session is authenticated (logged in). Returns true if user is logged in, false otherwise.
  Defined in: Global.js.
  Returns:
    Boolean
- {String|null} validateEmail(str)
  Defined in: Global.js.
  Parameters:
  {String} str
  Returns:
    {String|null} The e-mail string if valid, null otherwise
- {String|null} validateUrl(str)
  Defined in: Global.js.
  Parameters:
  {String} str
  Returns:
    {String|null} The URL string if valid, null otherwise
- value_macro(param, name, value)
  Defined in: Global.js.
  Parameters:
  {Object} param
  {String} name
  {String} value
- version_macro(param, type)
  Defined in: Global.js.
  Parameters:
  {Object} param
  {String} type
- wait(millis)
  Defined in: Global.js.
  Parameters:
  {Number} millis